API authentication

Yandex Search API requires you to submit your authentication credentials in each request. The authentication method depends on the type of account you use to send requests:

  1. Get an IAM token to authenticate your Yandex account or federated account. Provide the token in the Authorization header of each request in the following format:

    Authorization: Bearer <IAM_token>
            
  2. Assign the user the search-api.webSearch.user role for the folder to use for Yandex Search API requests. Make sure to include the folder ID in the folderId (folder_id) field in the body of each request.

  1. Choose one of the authentication methods:
    • Get an IAM token. Provide the IAM token in the Authorization header in the following format:

      Authorization: Bearer <IAM_token>
              
    • Create an API key. Provide the API key in the Authorization header in the following format:

      Authorization: Api-Key <API_key>
              
  2. Assign the service account the search-api.webSearch.user role for the folder where it was created and which will be used for Yandex Search API requests. Make sure to include the folder ID in the folderId (folder_id) field in the body of each request.

See also